"use strict";

class AnimalDramaScene extends BaseScene {

    _particles = [];

    // Load resources here
    load(loadingContext) {
        const ctx = loadingContext;
        ctx.loadSprite("animal", "HighOnAHillStoodALonelyGoat.png");
        ctx.loadShader("darkSky", "fullscreen.vert", "darkSky.frag");
    }

    initialize() {   
    }

    update(renderContext, _time, globalTime) {
        const ctx = renderContext;
        ctx.backgroundShader("darkSky");

        if (globalTime < 47) {
        } else if (globalTime < 49) {
            ctx.sprite("animal", 120, 78, 240);
        } else if (globalTime < 51) {
            ctx.sprite("animal", 120, 78,480);
        } else {
            ctx.sprite("animal", 120, 120,960);
        }
    }

}